
QGIS Application - Bug report #2951

Layers become non-editable

2010-08-19 02:09 AM - infobleep -

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 13011

Description

Whilst working on a map containing a mixture Ordnance Survey ITN data and other data, two of layers I was wondering on suddenly could

not be edited. These were railway and road ITN layers. The only way I could get them to become editable was to add in another copy of

the ITN roads layer. This then allowed the other two layers to be edited. However once I removed the additional ITN roads layer, the

previously non-editable layers only remained editable until editing was toggled off. Once off the editing couldn't be toggled on without the

ITN roads layer being reinserted once again. Even shut down and restarting Quantum did not help.

I cannot supply the data layers as this would breech the terms of the OS license.

Related issues:

Related to QGIS Application - Bug report # 2420: Layer editing is unavailable Closed

Duplicated by QGIS Application - Bug report # 8458: Spatial Query - Create la... Closed 2013-08-12

Duplicated by QGIS Application - Bug report # 17236: Unable to edit layer whi... Closed 2017-10-03

Duplicated by QGIS Application - Feature request # 3052: Editing subsets does... Closed

Duplicated by QGIS Application - Feature request # 19529: Add edit geometries... Open 2018-08-02

History

#1 - 2010-08-19 03:07 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

Feel free to reopen, when this isn't limited to filtered layers.

#2 - 2010-08-19 03:48 AM - infobleep -

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

Replying to [comment:4 jef]:

Feel free to reopen, when this isn't limited to filtered layers.

If that is the case, why can I edit when the same layer has been added in a second time? If the restriction applies it should apply no matter how many

copies of the same lyaer I've added to the Quantum document. Therefore I believe there must be a bug. If what I report isn't a bug, then the fact it's

possible to edit when it shouldn't be allowed is the bug, if that makes sense.

2024-04-20 1/3



#3 - 2010-08-19 04:15 AM - Jürgen Fischer

Replying to [comment:5 infobleep]:

Replying to [comment:4 jef]:

If that is the case, why can I edit when the same layer has been added in a second time?

Without a query you can edit the shape, but with a query you can't.

What could be considered a bug is that you can apply a query on any shape layer, that already is in editing mode.

OTOH that change of editing capability is purely up to the OGR shape driver and might change in the future.  Other OGR datasources might behave

different and other qgis data providers like the postgres provider actually do.

#4 - 2010-08-19 05:19 AM - infobleep -

Replying to [comment:6 jef]:

Replying to [comment:5 infobleep]:

Replying to [comment:4 jef]:

If that is the case, why can I edit when the same layer has been added in a second time?

Without a query you can edit the shape, but with a query you can't.

What could be considered a bug is that you can apply a query on any shape layer, that already is in editing mode.

OTOH that change of editing capability is purely up to the OGR shape driver and might change in the future.  Other OGR datasources might behave

different and other qgis data providers like the postgres provider actually do.

Sorry Jef, I misunderstood your original reply. A query is set up to allow different layers to be generated from one data source. A data source containing

roads might have 5 different road types. So I used queries to create 5 layers, one for each road type. This then would allow label the text for each road type

with a different style. Whilst doing this though, I may still wish to edit the roads in the original datasource.

I could add in another copy of the datasource layer without a query placed on it but that would be more confusing for users with less understanding of GIS.

#5 - 2011-10-06 08:17 PM - Alister Hood

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Should we close this as invalid again?

I don't see anything that is awaiting feedback.

#6 - 2011-10-07 03:03 AM - Giovanni Manghi

- Target version deleted (Version 2.0.0)

- Resolution set to invalid

2024-04-20 2/3



- OS version deleted (XP)

- Operating System deleted (Windows)

- Must fix deleted (Yes)

- Status changed from Feedback to Closed

Alister Hood wrote:

Should we close this as invalid again?

I don't see anything that is awaiting feedback.

I guess so, this depends entirely on OGR not QGIS, as Jurgen said.

#7 - 2013-09-30 07:35 AM - Jürgen Fischer

- Affected QGIS version set to 2.0.1

- Crashes QGIS or corrupts data set to No

#8 - 2017-10-03 09:54 AM - Jürgen Fischer

- Duplicated by Bug report #17236: Unable to edit layer while filter is in effect added

#9 - 2018-08-02 06:28 PM - Jürgen Fischer

- Duplicated by Feature request #3052: Editing subsets doesn't work for shapefiles added

#10 - 2018-08-02 06:29 PM - Jürgen Fischer

- Duplicated by Feature request #19529: Add edit geometries with query filter added

#11 - 2018-08-02 06:30 PM - Jürgen Fischer

- Related to Bug report #2420: Layer editing is unavailable added

Files

libraries_map_-_quantum_test.qgs 49.6 KB 2010-08-19 infobleep -
